YDPDICT(1)

NAME
ydpdict - an interface for Collins and Langenscheidt dictionaries

SYNOPSIS
ydpdict [ options ]

DESCRIPTION
ydpdict is an ncurses interface for English-Polish and Polish-English Collins dictionaries, as well as German-Polish and Polish-German Langenscheidt dictionaries, which are distributed by Young Digital Planet.

ydpdict tries to load the configuration file from the following locations (reads only the first one found):

1)  ~/ydpdict.conf

2)  ~/.ydpdictrc

3)  /etc/ydpdict.conf

ydpdict searches for dictionary files in current directory and /usr/local/share/ydpdict.

Pronunciation samples are read from /media/cdrom by default. To play samples of both english and german words, one shall create en and de subdirectiories with respective content.

OPTIONS

-e [--eng]
    Starts the English-Polish dictionary (default).

-p [--pol]
    Starts the Polish-English dictionary.

-g [--ger-pol]
    Starts the German-Polish dictionary.

-o [--pol-ger]
    Starts the Polish-German dictionary.

-f [--path=PATH]
    Sets the path to data files.

-c [--cdpath=PATH]
    Sets the path to the CD with pronunciation samples.

-P [--player=PATH]
    Sets the path to the sound player.

-w [--word=WORD]
    Starts the dictionary and translates the specified word.

-A [--audio=DEVICE]
    Sets the default audio device.

--version
    Displays the version of the program.

-h [--help]
    Shows command line options.

CONFIGURATION OPTIONS

Path PATH
    Sets the path to data files.

CDPath PATH
    Sets the path to the CD with pronunciation samples.

Player COMMAND
    Sets the path to the sound player.

DefaultDictionary TYPE
    Default dictionary (0 - English-Polish, 1 - Polish-English, 2 - German-Polish, 3 - Polish-German).

UseColor BOOLEAN
    Color support is autodetected, but color display can be forced with this option (On, Off).

UseTransparent BOOLEAN
    Terminal transparency (On, Off).

Color COLOR

DefinitionColor COLOR

InformationColor COLOR
    Colors used to display definitions can be set to one of the following: Black, Red, Green, Brown, Blue, Magenta, Cyan, White, Gray, Yellow, LightRed, LightGreen, LightBlue, LightMagenta, LightCyan, LightWhite. Note: for colors with "Light" prefix, emphasis will be invisible.

AUTHOR
ydpdict was written by Wojtek Kaniewski <wojtekka@toxygen.net>. Latest version can be found at http://toxygen.net/ydpdict/